%define pkg_name        GD-Graph-smoothlines
%define pkg_version     1.4
%define rpm_pkg_version 1.4
%define rpm_pkg_release 1.n0i.1

Summary:       Create smooth line charts
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/GD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(GD)        >= 2.35
BuildRequires: perl(GD::Graph) >= 1.44


%description
This package is used for creating smooth line charts.


%prep
# AUTHOR missed updating root folder :)
#%%setup -q -n %{pkg_name}-%{pkg_version}
%setup -q -n %{pkg_name}-1.3


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Sep 25 2007 Marius Feraru <altblue@n0i.net> - 1.4-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 1.4
